readCodelink {codelink} | R Documentation

## Read Codelink Bioarrays Data

### Description

Read data exported as text by Codelink Software. It reads values (normalized by Codelink Software or not) flags and information about probes.

### Usage

        readCodelink(files=list.files(pattern="TXT"), sample.name=NULL,
            flag, dec=NULL, type="Spot",    preserve=FALSE, verbose=2,
            file.type="Codelink", check=TRUE, fix=FALSE)

### Arguments

`files` | list of files to read.
`sample.name` | vector of same length as files with sample names.
`flag` | list with values to assign based on Flag quality values.
`dec` | character indicating the decimal character used in the files.
`type` | character indicating which base value to read from files.
`preserve` | logical, if TRUE Bkgd_stdev slot is not removed (if present).
`verbose` | numerical, set the level of information. Level 2 set as old behaviour. Level > 2 output some debug info.
`file.type` | exported file type, currently Codelink or XLS file formats supported.
`check` | logical, check for probe order consistency.
`fix` | logical, try to fix probe order consistency.

### Value

An object of class "Codelink".

### Author(s)

Diego Diez

### See Also

`read.table`

### Examples

    ## Not run:
        # reading default extension (TXT).
        data <- readCodelink()

        # specify a different one.
        files <- list.files(pattern = "txt")
        data <- readCodelink(files = files)

        # example.
        data(codelink.example)
    ## End(Not run)

[Package codelink version 1.12.1 Index]